#include<bits/stdc++.h>
using namespace std;
int main(){
    int n,q;
    cin>>n>>q;
    int niz[n];
    int a=0,b=0,c=0;
    int br;
    for(int i=0;i<n;i++){
        cin>>niz[i];
    }
    sort(niz,niz+n);
    for(int i=1;i<=q;i++){
        cin>>br;
        for(int j=0;j<n;j++){
            if(niz[j]==br){
                b++;
            } else {
                if(niz[j]>br){
                    c++;
                } else {
                    a++;
                }
            }
        }
        if(a==c && b==0) cout<<1;
        if(a==c && b!=0) cout<<0;
        if(c>a){
            c=c-a;
            if(b>c) cout<<0;
            if(b==c) cout<<1;
            if(b<c) cout<<c-b;
        }
        if(c<a){
            a=a-c;
            if(b>a) cout<<0;
            if(b==a) cout<<1;
            if(b<a) cout<<a-b;
        }
        a=0;
        b=0;
        c=0;
        cout<<endl;
    }
}